package logRecord

import (
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type LogRecordRouter struct{}

func (s *LogRecordRouter) InitLogRecordRouter(Router *gin.RouterGroup, RouterPub *gin.RouterGroup) {
	_ = RouterPub
	router := Router.Group("logRecord").Use(middleware.OperationRecord())

	{
		router.PUT("getUserResLogs", logRecordApi.GetUserResLogs) // 查询玩家金流
	}

}
